List work orders
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"work_order_number": "<string>",
"status": "<string>",
"is_on_hold": true,
"produced_sku_id": 123,
"produced_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"expected_completion_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"production_warehouse_id": 123,
"production_warehouse": {
"id": 123,
"name": "<string>"
},
"destination_warehouse_id": 123,
"destination_warehouse": {
"id": 123,
"name": "<string>"
},
"vendor_id": 123,
"vendor": {
"id": 123,
"name": "<string>"
},
"bom_id": 123,
"service_unit_price": 123,
"notes": "<string>",
"hold_reason": "<string>",
"cancel_reason": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_by": 123,
"held_by": 123,
"production_batch_id": 123,
"steps": [
{
"id": 123,
"work_order_id": 123,
"sequence": 123,
"status": "<string>",
"output_sku_id": 123,
"output_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"completed_qty": 123,
"is_outside_processing": true,
"supply_mode": "<string>",
"vendor_id": 123,
"skipped_at": "2023-11-07T05:31:56Z",
"skipped_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"custom_fields": {},
"alternate_ids": [
"<string>"
],
"links": {
"self": "<string>",
"steps": "<string>",
"completions": "<string>",
"production_entries": "<string>",
"status_history": "<string>"
}
}
],
"links": {},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 5,
"per_page": 10,
"to": 10,
"total": 50
}
}Work Orders
List work orders
Return a paginated list of work orders, with optional filtering, sorting, and search.
GET
/
work-orders
List work orders
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Page number to retrieve.
Number of records per page.
Field to sort the results by.
Direction to sort the results.
Available options:
asc, desc Free-text search across work orders.
Comma-separated list of statuses to filter by.
Filter by the SKU being produced.
Filter by vendor name.
Filter by the production warehouse.
Filter by the destination warehouse.
Filter by work order number.
Filter by alternate identifier.
⌘I